/* noti-banner */
.noti-banner {
    position: fixed;
    width: 100%;
    top: 0;
    left: 0;
    background: #11265e;
    padding: 20px calc(var(--base-padding) + 38px);
    z-index: 1000;
    box-sizing: border-box;
}

.noti-banner__cont {
    display: flex;
    align-items: center;
    gap: 20px;
}

.noti-banner__title {
    color: #fff;
    font-family: Pretendard;
    font-size: var(--t8-size);
    font-weight: var(--t8-weight);
    line-height: var(--t8-line-height);
    white-space: nowrap;
}

.noti-banner__desc {
    color: #fff;
    font-family: Pretendard;
    font-size: var(--t9-size);
    font-weight: var(--t9-weight);
    line-height: var(--t9-line-height);
    min-width: 0;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
}

.noti-banner__more {
    font-family: Pretendard;
    margin-left: auto;
    white-space: nowrap;
}

.noti-banner__more.btn-angle-small {
    color: #fff;
}

.noti-banner__more.btn-angle-small::after {
    background-image: url("data:image/svg+xml;utf8,<svg width='16' height='16' viewBox='0 0 16 16' fill='none' xmlns='http://www.w3.org/2000/svg'><path d='M6 13L11 7.93671L6 3' stroke='white' stroke-miterlimit='10'/></svg>");
}

.noti-banner__more.btn-angle-small::before {
    background-color: #fff;
}

.noti-banner__btn-close {
    position: absolute;
    top: 50%;
    right: var(--base-padding);
    transform: translateY(-50%);
    width: 28px;
    height: 28px;
    background-color: transparent;
    background-image: url("data:image/svg+xml;utf8,<svg width='28' height='28' viewBox='0 0 28 28' fill='none' xmlns='http://www.w3.org/2000/svg'><path d='M21.6797 6.30469L6.30064 21.6837' stroke='white' stroke-width='2'/><path d='M6.30469 6.30469L21.6837 21.6837' stroke='white' stroke-width='2'/></svg>");
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
    font-size: 0;
    color: transparent;
}

@media screen and (max-width: 1460px) {
    .noti-banner {
        padding-left: var(--base-padding);
    }
}

@media screen and (max-width: 1190px) {
    .noti-banner {
        padding-top: 17px;
        padding-bottom: 16px;
    }
    .noti-banner__btn-close {
        width: 18px;
        height: 18px;
    }
}

@media screen and (max-width: 1024px) {
    .noti-banner {
        padding-right: calc(var(--base-padding) + 40px);
    }
    .noti-banner__title {
        line-height: 23px;
    }
    .noti-banner__desc {
        display: none;
    }
}
